Skip to main content
GET
/
device
/
hlc
/
status
Loop Control Status
curl --request GET \
  --url https://api.getmelody.io/device/hlc/status \
  --header 'Authorization: Bearer <token>'
{
  "velocity": 50,
  "low_limit": 0,
  "high_limit": 10000,
  "is_playing": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.getmelody.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Device Token for SDK operations. Obtain via: GET /api/haptics/device/device_token Format: {device_id}-{1|2}-{random} Note: ApiToken (from POST /device/otp/confirm) can also be used for most SDK endpoints.

Response

200 - application/json

OK

The haptic loop control status of the device.

velocity
number<float>

The velocity of the loop as a percentage (0-100%).

Required range: 0 <= x <= 100
Example:

50

low_limit
number<float>

The low limit of the loop stroke range [0..10000].

Required range: 0 <= x <= 10000
Example:

0

high_limit
number<float>

The high limit of the loop stroke range [0..10000].

Required range: 0 <= x <= 10000
Example:

10000

is_playing
boolean

The status of the loop.

Example:

true